#
# update.sh
#
BINDIR="/opt/websafety/bin"
PIDFILE="/opt/websafety/var/run/wsicapd.pid"

# entry point
echo -n "Running update script at " && date
    
# update definition files
$BINDIR/update 2>&1
res=$?
if [ $res -eq 0 ]; then    

	echo "Telling wsicapd to reload definition files..."    
    
    # tell the wsicapd to reload
    if [ -f "$PIDFILE" ]; then
        PID=`cat $PIDFILE`
        kill -HUP $PID
    fi
    
fi

if [ $res -eq 10 ]; then        
    echo "No need to reload wsicapd as all definition files are up-to-date"    
fi  

